org.apache.commons.math.distribution

## Interface FDistribution

- All Superinterfaces:
    ContinuousDistribution, Distribution
  All Known Implementing Classes:
    FDistributionImpl

      public interface FDistribution
      extends ContinuousDistribution

  F-Distribution.

  References:

  - F-Distribution
  Version:
    $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDenominatorDegreesOfFreedom()` Access the denominator degrees of freedom.
    `double` | `getNumeratorDegreesOfFreedom()` Access the numerator degrees of freedom.
    `void` | `setDenominatorDegreesOfFreedom(double degreesOfFreedom)` Deprecated. as of v2.1
    `void` | `setNumeratorDegreesOfFreedom(double degreesOfFreedom)` Deprecated. as of v2.1

    - ### Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution

      `inverseCumulativeProbability`

    - ### Methods inherited from interface org.apache.commons.math.distribution.Distribution

      `cumulativeProbability, cumulativeProbability`

- - ### Method Detail

    - #### setNumeratorDegreesOfFreedom

          @Deprecated
          void setNumeratorDegreesOfFreedom(double degreesOfFreedom)

      Deprecated. as of v2.1
      Modify the numerator degrees of freedom.
      Parameters:
        `degreesOfFreedom` - the new numerator degrees of freedom.

    - #### getNumeratorDegreesOfFreedom

          double getNumeratorDegreesOfFreedom()

      Access the numerator degrees of freedom.
      Returns:
        the numerator degrees of freedom.

    - #### setDenominatorDegreesOfFreedom

          @Deprecated
          void setDenominatorDegreesOfFreedom(double degreesOfFreedom)

      Deprecated. as of v2.1
      Modify the denominator degrees of freedom.
      Parameters:
        `degreesOfFreedom` - the new denominator degrees of freedom.

    - #### getDenominatorDegreesOfFreedom

          double getDenominatorDegreesOfFreedom()

      Access the denominator degrees of freedom.
      Returns:
        the denominator degrees of freedom.

Copyright (c) 2003-2013 Apache Software Foundation